<class>
 	<keyword> class </keyword>
 	<identifier> shadow08 </identifier>
 	<symbol> { </symbol>
 	<subroutineDec>
 	 	<keyword> function </keyword>
 	 	<identifier> Image </identifier>
 	 	<identifier> newImage </identifier>
 	 	<symbol> ( </symbol>
 	 	<parameterList>
 	 	</parameterList>
 	 	<symbol> ) </symbol>
 	 	<subroutineBody>
 	 	 	<symbol> { </symbol>
 	 	 	<varDec>
 	 	 	 	<keyword> var </keyword>
 	 	 	 	<identifier> Image </identifier>
 	 	 	 	<identifier> i </identifier>
 	 	 	 	<symbol> ; </symbol>
 	 	 	</varDec>
 	 	 	<varDec>
 	 	 	 	<keyword> var </keyword>
 	 	 	 	<keyword> int </keyword>
 	 	 	 	<identifier> width </identifier>
 	 	 	 	<symbol> , </symbol>
 	 	 	 	<identifier> height </identifier>
 	 	 	 	<symbol> ; </symbol>
 	 	 	</varDec>
 	 	 	<statements>
 	 	 	 	<letStatement>
 	 	 	 	 	<keyword> let </keyword>
 	 	 	 	 	<identifier> width </identifier>
 	 	 	 	 	<symbol> = </symbol>
 	 	 	 	 	<expression>
 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	<integerConstant> 5 </integerConstant>
 	 	 	 	 	 	</term>
 	 	 	 	 	</expression>
 	 	 	 	 	<symbol> ; </symbol>
 	 	 	 	</letStatement>
 	 	 	 	<letStatement>
 	 	 	 	 	<keyword> let </keyword>
 	 	 	 	 	<identifier> height </identifier>
 	 	 	 	 	<symbol> = </symbol>
 	 	 	 	 	<expression>
 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	<integerConstant> 11 </integerConstant>
 	 	 	 	 	 	</term>
 	 	 	 	 	</expression>
 	 	 	 	 	<symbol> ; </symbol>
 	 	 	 	</letStatement>
 	 	 	 	<letStatement>
 	 	 	 	 	<keyword> let </keyword>
 	 	 	 	 	<identifier> i </identifier>
 	 	 	 	 	<symbol> = </symbol>
 	 	 	 	 	<expression>
 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	<identifier> Image </identifier>
 	 	 	 	 	 	 	<symbol> . </symbol>
 	 	 	 	 	 	 	<identifier> newBitmap </identifier>
 	 	 	 	 	 	 	<symbol> ( </symbol>
 	 	 	 	 	 	 	<expressionList>
 	 	 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	 	 	<identifier> width </identifier>
 	 	 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	 	 	</expression>
 	 	 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	 	 	<identifier> height </identifier>
 	 	 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	 	 	</expression>
 	 	 	 	 	 	 	</expressionList>
 	 	 	 	 	 	 	<symbol> ) </symbol>
 	 	 	 	 	 	</term>
 	 	 	 	 	</expression>
 	 	 	 	 	<symbol> ; </symbol>
 	 	 	 	</letStatement>
 	 	 	 	<doStatement>
 	 	 	 	 	<keyword> do </keyword>
 	 	 	 	 	<identifier> i </identifier>
 	 	 	 	 	<symbol> . </symbol>
 	 	 	 	 	<identifier> push </identifier>
 	 	 	 	 	<symbol> ( </symbol>
 	 	 	 	 	<expressionList>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 21840 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 85 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<symbol> - </symbol>
 	 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	 	<integerConstant> 24576 </integerConstant>
 	 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<symbol> - </symbol>
 	 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	 	<integerConstant> 21846 </integerConstant>
 	 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 10922 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 21504 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 21845 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 21845 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 1 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	</expressionList>
 	 	 	 	 	<symbol> ) </symbol>
 	 	 	 	 	<symbol> ; </symbol>
 	 	 	 	</doStatement>
 	 	 	 	<doStatement>
 	 	 	 	 	<keyword> do </keyword>
 	 	 	 	 	<identifier> i </identifier>
 	 	 	 	 	<symbol> . </symbol>
 	 	 	 	 	<identifier> push </identifier>
 	 	 	 	 	<symbol> ( </symbol>
 	 	 	 	 	<expressionList>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<symbol> - </symbol>
 	 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	 	<integerConstant> 21888 </integerConstant>
 	 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<symbol> - </symbol>
 	 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	 	<integerConstant> 21846 </integerConstant>
 	 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<symbol> - </symbol>
 	 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	 	<integerConstant> 21846 </integerConstant>
 	 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 10 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 21824 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 21845 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 21845 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 21 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<symbol> - </symbol>
 	 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	 	<integerConstant> 21856 </integerConstant>
 	 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<symbol> - </symbol>
 	 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	 	<integerConstant> 21846 </integerConstant>
 	 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<symbol> - </symbol>
 	 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	 	<integerConstant> 21846 </integerConstant>
 	 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 42 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 21824 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	</expressionList>
 	 	 	 	 	<symbol> ) </symbol>
 	 	 	 	 	<symbol> ; </symbol>
 	 	 	 	</doStatement>
 	 	 	 	<doStatement>
 	 	 	 	 	<keyword> do </keyword>
 	 	 	 	 	<identifier> i </identifier>
 	 	 	 	 	<symbol> . </symbol>
 	 	 	 	 	<identifier> push </identifier>
 	 	 	 	 	<symbol> ( </symbol>
 	 	 	 	 	<expressionList>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 21845 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 21845 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 21 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<symbol> - </symbol>
 	 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	 	<integerConstant> 21888 </integerConstant>
 	 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<symbol> - </symbol>
 	 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	 	<integerConstant> 21846 </integerConstant>
 	 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<symbol> - </symbol>
 	 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	 	<integerConstant> 21846 </integerConstant>
 	 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 10 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 21504 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 21845 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 21845 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 1 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<symbol> - </symbol>
 	 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	 	<integerConstant> 24576 </integerConstant>
 	 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<symbol> - </symbol>
 	 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	 	<integerConstant> 21846 </integerConstant>
 	 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	</expressionList>
 	 	 	 	 	<symbol> ) </symbol>
 	 	 	 	 	<symbol> ; </symbol>
 	 	 	 	</doStatement>
 	 	 	 	<doStatement>
 	 	 	 	 	<keyword> do </keyword>
 	 	 	 	 	<identifier> i </identifier>
 	 	 	 	 	<symbol> . </symbol>
 	 	 	 	 	<identifier> push </identifier>
 	 	 	 	 	<symbol> ( </symbol>
 	 	 	 	 	<expressionList>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 10922 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 21840 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 85 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	 	<symbol> , </symbol>
 	 	 	 	 	 	<expression>
 	 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	 	<integerConstant> 0 </integerConstant>
 	 	 	 	 	 	 	</term>
 	 	 	 	 	 	</expression>
 	 	 	 	 	</expressionList>
 	 	 	 	 	<symbol> ) </symbol>
 	 	 	 	 	<symbol> ; </symbol>
 	 	 	 	</doStatement>
 	 	 	 	<returnStatement>
 	 	 	 	 	<keyword> return </keyword>
 	 	 	 	 	<expression>
 	 	 	 	 	 	<term>
 	 	 	 	 	 	 	<identifier> i </identifier>
 	 	 	 	 	 	</term>
 	 	 	 	 	</expression>
 	 	 	 	 	<symbol> ; </symbol>
 	 	 	 	</returnStatement>
 	 	 	</statements>
 	 	 	<symbol> } </symbol>
 	 	</subroutineBody>
 	</subroutineDec>
 	<symbol> } </symbol>
</class>
